Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.awt
Class StatusDisplayer

    java.lang.Object
      org.openide.awt.StatusDisplayer

    public abstract class StatusDisplayer

extends Object

Permits control of a status line. The default instance may correspond to the NetBeans status line in the main window.

Since:
  3.14

Constructor Summary
`protected` | `StatusDisplayer()` Subclass constructor.

Method Summary
`abstract void` | `addChangeListener(ChangeListener l)` Add a listener for when the text changes.
`static StatusDisplayer` | `getDefault()` Get the default status displayer.
`abstract String` | `getStatusText()` Get the currently displayed text.
`abstract void` | `removeChangeListener(ChangeListener l)` Remove a listener for the text.
`abstract void` | `setStatusText(String text)` Show text in the status line.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatusDisplayer

    protected StatusDisplayer()

  Subclass constructor.

Method Detail

### getDefault

    public static StatusDisplayer getDefault()

  Get the default status displayer.

  Returns:
    the default instance from lookup

### getStatusText

    public abstract String getStatusText()

  Get the currently displayed text.

  Modules should not need to call this method. If you think you really do, please explain why on nbdev. The implementation of the GUI component (if any) which displays the text naturally needs to call it.

  Returns:
    some text

### setStatusText

    public abstract void setStatusText(String text)

  Show text in the status line. Can be called at any time, but remember the text may not be updated until the AWT event queue is ready for it - so if you are hogging the event queue the text will not appear until you release it (finish your work or display a modal dialog, for example).

  Parameters:
    `text` - the text to be shown

### addChangeListener

    public abstract void addChangeListener(ChangeListener l)

  Add a listener for when the text changes.

  Parameters:
    `l` - a listener

### removeChangeListener

    public abstract void removeChangeListener(ChangeListener l)

  Remove a listener for the text.

  Parameters:
    `l` - a listener

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.awt 6.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.